Tech2Win User Manual

Welcome to the User Manual of Tech2Win.

Copyright (C) 2010..2016 SPO Engineering General Motors All Rights Reserved.

  • Introduction:
  • License:
  • Installation:A description of the installation procedure of Tech2Win.
    • Installation Steps
    • Vehicle Communication Interface
  • First Steps
    • Selecting a Configuration
      • Keyboard
      • Windows Handling
    • New Configurations
    • Modifying Configurations
      • Language
      • Path
      • Display
      • Saving a Configuration
    • Get a valid Tech2Win license
  • Working with Tech2Win: Details for the day-to-day work.
    • Menu
    • Downloading a PCMCIA Image
    • Security
    • View Reports
    • Handling of PCMCIA images
    • Status Bar
  • Advanced Topics: Information not required for the normal use of Tech2Win. Often only of interest to people with administration tasks.
    • Reinstallation
    • Deinstallation
    • Format of the Configuration File
    • Log File
    • Error Messages and Error Codes
    • ATA Card
    • Registry Entries
    • Files
    • Configuration management
  • FAQ


Introduction

Tech2Win is a Windows application which can emulate Tech2 functionality. Essentially, Tech2 software is executed on a PC. To run this program your PC needs to meet the following technical requirements:

  • A vehicle communications interface must be installed and connected to the PC. The list of acceptable interfaces might vary from region to region. In most cases GMs Multiple Diagnostic Interface (MDI) can be used.
  • The Tech2Win application requires 150MByte of hard disk space during installation. An additional 32MB is necessary per PCMCIA flash card you wish to manage.
  • Prior to execution of the Tech2Win application, you need minimum 100MB free physical RAM. It is mandatory that your PC has enough memory to hold the application inside RAM over the whole execution time.
  • Your PC should have the computing power equivalent to a 1.2GHz Pentium (single core). We strongly suggest that you do not use any other applications in parallel.
  • A keyboard is not needed. Tech2Win can also be operated via touch screen. For configuration management we strongly suggest that you use a keyboard as you will need to enter file names.
  • Your color graphics display must have a minimum resolution of 800 x 600 with a minimum color depth of 256. Without a keypad, a resolution of 640 x 480 might be acceptable.

When using Tech2Win (a laptop instead of a Tech2) please ensure that the laptop has sufficient power. Normally, your laptop will not be powered by the car battery, as the Tech2 is.

  • Installation
  • First Steps


License

General Motors - Tech2Win License Agreement

Carefully read the following terms and conditions before using this program. If you do not accept or understand the terms or conditions, please contact your local Aftersales representative. The right to use this software is licensed by General Motors only on the condition that the user agrees to this license by accepting these terms and conditions during the installation of Tech2Win.
General Motors grants the right to use the Tech2Win software and the included information in conjunction with TIS2Web or GlobalTIS or TIS 2000 exclusively for users of the General Motors authorized repairer network as determined in the locally applicable Authorized Repairer Agreement with the General Motors National Sales Companies.
The Tech2Win license is effective as long as the Authorized Repairer Agreement is in force and TIS2Web, GlobalTIS and TIS2000 license is in place. The Tech2Win license will terminate in conjunction with TIS2Web and GlobalTIS license immediately when the Authorized Repairer Agreement is terminated.

Independent repairers as defined in Article 4 paragraph 2 of the European Union Block Exemption Regulation (BER) 1400/2002 may purchase a Tech2Win license as part of the offered subscriptions provided in the GM Europe Info Tech Portal of General Motors Europe.

The Tech2Win license does not comprehend the vehicle communication interface or PC hardware.

The Tech2Win software must not be further distributed, sold or placed online to any third party outside of the authorized repairer facilities (as described in the relevant annex to the Authorized Repairer Agreement) without written consent of the relevant General Motors National Sales Companies. This applies to both current and non-current data (such as expired DVDs).

General Motors National Sales Companies shall be entitled to immediately close the access and to give notice of immediate termination of the Authorized Repairer Agreement in case of unauthorized or abusive use. In this case, the right to claim reimbursement of remaining credit balances and/or annual basic fees shall be excluded.

The provided information serves for the execution of service and repair work in an expert manner for unmodified General Motors vehicles. A completed automotive technician training and regular further training are required as a precondition of the execution of the aforesaid work. Where the use of special tools is indicated in the provided information, such special tools are mandatory for all repairs to be performed in an expert manner.

The information published on Tech2Win of General Motors (text and pictures, music, graphics, animation, videos etc.) and the arrangement thereof on Tech2Win are protected by copyright. No reproduction, dissemination, communication and/or transmission or other use shall be permitted except with the prior written consent of General Motors.

  • Installation: Installation Steps
  • First Steps


Installation

The installation of Tech2Win requires local administrative rights on the PC. Without administrative rights the installation will not work. In such a case please contact your local PC administrator for help.

To successfully use Tech2Win, you must complete following two steps:

  • Installation of Tech2Win itself.
  • Installation of a Vehicle Communication Interface.
  • Installation: Installation Steps
  • First Steps


Installation Steps

The installation itself takes only a few minutes and requires the following user inputs:

  1. License Agreement
  2. Installation Directory

Language

By default the Tech2Win UI will be displayed in the language of your operating system. The following languages generally can be supported. If your language is not supported the installer starts in English as default installation language.

  • bg_BG (BG)Bulgarian
  • cs_CZ (CS)Czech
  • da_DK (DA)Danish
  • de_DE (DE)German
  • en_GB (EN)English (either British or American)*
  • el_GR (EL)Greek
  • es_ES (ES)Spanish
  • fi_FI (FI)Finnish
  • fr_FR (FR)French
  • hr_HR (HR)Croatian
  • hu_HU (HU)Hungarian
  • it_IT (IT)Italian
  • ja_JP (JA)Japanese
  • ko_KR (KO)Korean
  • nl_NL (NL)Dutch
  • no_NO (NO)Norwegian
  • pl_PL (PL)Polish
  • pt_BR (PB)Portuguese (Brazil)
  • pt_PT (PT)Portuguese (Portugal)
  • ro_RO (RO)Romanian
  • ru_RU (RU)Russian
  • sl_SI (SL)Slovenian
  • sv_SE (SV)Swedish
  • th_TH (TH)Thai
  • tr_TR (TR)Turkish
  • zh_CN (ZS)Chinese (Simplified)
  • zh_TW (ZH)Chinese (Traditional)

* The Tech2Win language is British English. However, the Tech2 software and the installer you are using might be American English, depending on the source of the software.

License Agreement

You have to accept the License Agreement.

Installation Directory

You may choose any directory as location where the Tech2Win will be installed. The installation directory defaults either to <your program directory>\General Motors\Tech2Win or, in case of a reinstallation, to the previously specified location.

As last part confirm the installation.

Virtual Com Port Driver

The virtual com port driver will only be installed once on your computer and stays until the driver version is upgraded (happens rarely) or Tech2Win is uninstalled from your computer.
If the driver gets installed you will see a DOS box for a short moment. It will close automatically and does not require any action. The driver files are additionally placed in the "driver" subfolder in your Tech2Win installation directory.
It is possible, but not recommended, to manually install or uninstall the virtual com port drivers. Use one of the following commands from the CMD shell:

  • call "vbsetup7" to install the driver
  • call "vbsetup7 /u" to uninstall the driver
  • First Steps


Vehicle Communication Interface

Your vehicle communication device must be installed separately. Please refer to the respective installation guide that came with the Vehicle Communication Interface.

  • First Steps: Vehicle Communication Interface
  • Advanced Topics: Configuration File
  • Installation: Installation Steps
  • FAQ: How can I use more than one MDI?
  • FAQ: Tech2Win did not find my MDI


First Steps

These first steps show you how to use the Tech2Win. It assumes that you are familiar with the Tech2 itself. Vehicle communication is not required during these first steps.

For a Quick Start do the following steps:

  1. Run Tech2Win software using the QuickStart shortcut from your desktop.
  2. Get a valid license by downloading new Tech2 software from TIS2Web.

To use a selectable configuration:

  1. Start the configurator using the Tech2Win shortcut from your desktop. After an installation a default configuration should be present.
  2. To make a new configuration, preferably copy the default configuration.
  3. Modify an existing configuration to meet your specific requirements.
  4. Get a valid license.

Do not start Tech2Win in a compatibility mode. A warning will appear in the Log file in such a case. Tech2Win only uses Windows functions that exist since XP, and will not work on earlier Windows versions.

  • First Steps: New Configurations
  • First Steps: Modifying Configurations
  • First Steps: Vehicle Communication Interface
  • Working with Tech2Win: Menu
  • Working with Tech2Win: Security
  • Working with Tech2Win: Status Bar
  • Advanced Topics: Configuration File


Selecting a Configuration

The first time when starting the Tech2Win application the following screen appears. You have the option to start Tech2Win direct with a default configuration. This default configuration works without any vehicle communication.

Start First Time

The license information message box will appear, but you can ignore it to start the default configuration.

When working with a touchscreen, it might be beneficial to start the PC keyboard program to be able to enter letters via this application that simulates a keyboard.


Keyboard

The PC keys as well as the buttons, if present, are mapped to the familiar Tech2 keys. Some additional keys are provided by Tech2Win which are not found on the original Tech2. The numeric keypad on the PC may not work under all conditions. If there are any problems please check if the standard keyboard layout on your PC was changed. Especially the SHIFT key may be damaged in such case.

PC Keyboard | Button | Functionality
F1 function key | n.a. | Tech2Win help
F5 .. F8 function keys | Use the Tech2Win display area occupied by the softkeys | Tech2's four softkeys
Up, Down, Left, Right cursor keys |  | Tech2 Up, Down, Left, Right keys. Only these keys have an automatic repeat.
0 .. 9 key | F0 • • • F9 | Tech2 F0 .. F9 keys
Backspace | Exit | Tech2 Exit key
Enter / Return | Enter | Tech2 Enter key
Y | Yes | Tech2 Yes key
N | No | Tech2 No key
Q | ? | Tech2 ? key
S | Shift | Tech2 Shift key. The Shift indicator in the status bar or the indicator above the Shift button indicate the status.
ctrl-P | PWR | Tech2 Power key; Obviously, this key can only turn off the Tech2Win application.
ctrl-R | not available | Resets the Tech2Win. Similar to a Power Off/On cycle on a Tech2. However, an attached Vehicle Communication Interface is not reset. Files such as the PCMCIA image are not reloaded.
Home | Home | A home key. Only supported by some applications.
only available thru the menu option File. | Print Screen | Prints a screenshot of the Tech2 screen by creating a temporary BMP file and calling the application associated with BMP files. Use this application to resize or rotate the image before printing.
only available thru the menu option File. | Save Screen | Saves a screenshot of the Tech2 screen as BMP or PNG file.
only available thru the menu option File. | View Report | Displays all reports on the active PCMCIA flash card so the user can view them.


Windows Handling

You may resize your windows using standard Windows mechanisms by dragging the border lines of the main window. Additionally, the menu item Options/Resolution supports several preset sizes. During a resizing of the main window via menu item the keypad window will automatically remain docked.

The appearance of the windows are modified by changing configuration in the tab Display.


New Configurations

Click on the button Create New to create a new configuration. A dialog menu will appear asking you to select an existing configuration file as a source. Normally the default configuration will be selected. After entering the name of the new configuration file hit the Copy button.

If you are working with a touchscreen, you might find it preferable to activate a PC keyboard simulation via the PC-Keyboard button.

The Cancel button lets you cancel the creation process.

The new configuration will be using the same PCMCIA file as the existing source configuration. If you want to change that, you will have to modify the configuration so that a different PCMCIA file is used. In most cases you will simply copy the existing PCMCIA file to a new file and use that new file. You might prefer that your new configuration uses the same PCMCIA file as your source configuration. In that case a warning screen will appear when you hit the Save button.

  • Modifying Configurations


Modifying Configurations

Configurations shown in blue are marked read-only and cannot be modified. These configurations can only be viewed. Of course you may use the modification method to simply view their contents, but a Save will not be possible.

A configuration is modified by selecting the individual setting in the four tabulators Language, Vehicle Communication Interface, Path, Display. You may either pick the desired tabulator or simply choose to hit the Next button which will activate the next tabulator. After making your modifications, press the Save button to save your configuration.

Whenever keyboard entry is necessary, you may also call up a PC application simulating a PC keyboard. This is especially handy on touchscreen laptops when no keyboard is available.


Language

The tabulator Language allows you to select the language in which Tech2Win will run. This selection has no influence on the language within the Tech2 software on the PCMCIA image. When downloading Tech2 software from TIS, you will still have to select the correct language.

For some regions, not all languages will be available. In such a case, English will be displayed instead. Please check if a similar language is available (PT Portuguese-Portugal rather than PB Portuguese-Brazil).


Path

The tabulator Path allows you to set the paths of both PCMCIA images as well as the path to your local software keyboard. Additionally, the button Copy memory card ... is provided to copy PCMCIA images. If you just created a new configuration you might want to use this button to avoid several configurations using the same PCMICA image.

Memory Card Options

Copy memory card ...

This button allows you to copy a PCMCIA image to another file. Its functionality is very similar to a purchase of a new PCMCIA card for the Tech2. The copy function only works for files in the directory C:\Users\Public\General Motors\Tech2Win\pcmcia.

Slot 0: Memory card image location

Here you can specify the file that contains your PCMCIA image for slot 0. Normally, the such a file should reside in C:\Users\Public\General Motors\Tech2Win\pcmcia, other locations, however, are possible.

Slot 1: Memory card or ATA card

As the Tech2, Tech2Win also supports two PCMCIA card (images). However, the second PCMCIA image within a configuration is normally not very useful. A second software would probably be used in a second configuration.

As on a Tech2, an ATA card is used for debugging purposes. Please only activate the ATA card if instructed by technical support. They will provide you with more information.

PC software keyboard location

The default value of this file is retrieved from the Windows registry and should point to an application capable of simulating a PC keyboard with the mouse. If you have a special application with this functionality for the laptop you are using, you may specify the application here.


Vehicle Communication Interface

  • COM-port for Tech2-RS232-Emulation
  • Serial Number of MDI to use
  • Protocol

COM-port for Tech2-RS232-Emulation

Please choose a free COM port which can be used for the Tech2 emulation. For your convenience, Configurator tries to find out which serial ports are already in use and displays them.

If you choose an existing COM port, Tech2Win will attach itself to this existing COM port. You may use this COM port to download Tech2 software from a second computer running a TIS application using a null modem cable. Please note that the use of a real COM port might not work reliably with 115.200 baud due to Windows restrictions.

If a non-existing COM port is selected, Tech2Win will automatically create a virtual port. This virtual port may be used from TIS running on the same PC to establish communication with Tech2Win. When using a virtual port there is no baud rate restriction.

If you choose "search" as COM port Tech2Win will create a virtual COM port on the first free port number in the range from 9 to 1.

Serial Number of MDI to use

Enter the serial number of the MDI. The number can be found on the back side of the MDI. Use the number after the hyphen.

If you do not enter a serial number, Tech2Win will automatically display a list of MDIs detected in the network to let the user pick an MDI. The same selection box will appear when the specified MDI is not found.

Protocol

"ISO22900-2 / PDU-API" is selected and the J2534-2 is always grayed out. In the future Tech2Win might be able to support J2534 protocol as well.

  • Advanced Topics: Configuration File
  • FAQ: How can I determine which com port I should use for Tech2Win?
  • FAQ: Communication between Tech2Win and TIS2Web
  • FAQ: How can I use more than one MDI?
  • FAQ: Tech2Win did not find my MDI


Display

The Display tab is mainly used to change the settings regarding the display of Tech2Win:

  • Keypad
  • Colors
  • Sound
Display and Key Options

Keypad

Here you may choose if the Keypad should be displayed. The Keypad is drawn either left or right of the Tech2Win screen. The background color is selectable via a standard color dialog box.

Colors

The back- and the foreground color of the Tech2 screen can be individually selected here. These are the two most common color combinations:

Screen with background 0000FF, foreground FFFFFF | Keypad Background white; Background blue; Foreground white
Screen with background 000000, foreground C0C0C0 | Keypad Background blue; Background black; Foreground light gray

Sound

You may choose to turn off the sound here. Every time the Tech2 program will beep, the PC loudspeakers will be used.


Saving the Configuration

The active configuration can be saved by pressing the Save <configuration> button in lower left corner. The button will not appear if you are viewing a read-only configuration.


Valid license via TIS2Web

Normally, the download of Tech2 Software to the Tech2Win will provide you with a valid license. Additionally, you can get one by performing a 'Security Access (Security)' via TIS2Web (not TIS2000). Precondition therefore is the selection of the virtual COM-port inside the Configurator under Vehicle Communication Interface.

After a successful security access you can see an open lock on the right side of the status bar. Inside the bracket you see the number of days the license is valid. When you start Tech2Win again the security indicator is not displayed as long as no vehicle communication is being performed. During the first communication with a vehicle the license will be checked and the indicator displays either an open or closed lock.

  • Working with Tech2Win:Security
  • FAQ:How can I determine which com port I should use for Tech2Win?
  • FAQ:Communication between Tech2Win and TIS2Web
  • FAQ:Valid license
  • FAQ:What is the difference between a Tech2Win license and Security Access?


Working with Tech2Win

The following topics are used by most technicians when working with the Tech2Win:

  • Menu: The screen layout and the individual menu items.
  • Downloading a PCMCIA image: The update of the diagnostic software for the Tech2Win is very similar to the method used for the Tech2.
  • Security: Security measures prevent the Tech2Win from performing vehicle communications on non-authorized environments.
  • View Reports: The Tech2 keyboard has been slightly enhanced in the Tech2Win. The "View Reports" button is the most prominent example.
  • Handling of PCMCIA images: Similar to having multiple PCMCIA cards for the Tech2, you might have several PCMCIA images in use for the Tech2Win.
  • Status Bar: The status bar informs the user about the individual parts of the status bar.
    • Advanced Topics
    • FAQ


Menu

The Tech2Win application has the following menu entries:

  • File
  • Options
  • Windows
  • Help

File

The File menu provides the following possibilities:

  • Save T2-Screen (320x240) is used to save the actual T2-Screen in a size of 320x240 pixel as black and white picture file on your PC. The storage location and file format (BMP, GIF, JPG, PNG) is freely selectable.
  • Print Screen creates an inverted black on white BMP-image of the Tech2 screen and calls the program associated with BMP files. You may then use this program to print out the image.
  • View Report Files provides the possibility of viewing (and printing) report files without using TIS2Web.
  • Exit shuts down Tech2Win.

Options

The Options provides the following selections:

  • Resolution can be used to choose one of three standard screen sizes.
  • ROM-Write from 0x00003ED76 is used for internal debugging purposes.
  • Automatic Screenshots to store an image of every different Tech2 screen in the log directory.
  • Disable CANdi And Reboot to imitate a Tech2 not having a CANdi between itself and the vehicle. This is necessary for rare cases where the CANdi interrupts non-standard vehicle communication lines.

Windows

The menu Windows provides you with the possibility to activate the selections Tech2Win Data Display and Tech2Win DTC Display. All other selections are greyed out in the current Tech2Win version.

If the Tech2 software supports Tech2Win Data Display you can enable this menu entry. Upon entering Data Display Tech2Win will display an additional Data Display window parallel to the Tech2 Data Display. As long as the Tech2 screen is showing the Data Display the menu entry cannot be enabled. In such a case you must exit Data Display, enable the menu entry and restart Data Display.

Similar restrictions for Tech2Win Data Display apply for Tech2Win DTC Display too. If the Tech2 software supports Tech2Win DTC Display you can enable this menu entry. An additional DTC Display window will appear parallel to the Tech2 DTC Display. As long as the Tech2 screen is showing the DTC Display the menu entry cannot be enabled. In such a case you must exit DTC Display, enable the menu entry and restart DTC Display.

Help

Following selections are available:

  • Help Topics... calls the Tech2Win Help.
  • Command Line Parameter shows the command line parameters used for Tech2Win.
  • About shows the current version number and TIS2Web download limitations of Tech2Win.


Download

First, start the Tech2Win and leave it in the main screen. Start TIS2Web or GlobalTIS and perform the download via the COM port specified in the Vehicle Communication Interface tab.

The use of built-in COM-Ports allows to download Tech2 software from a different PC running TIS. Be sure to use a crosswired RS232-cable. Depending on the hardware of the PC running Tech2Win, the data transfer rate might need to be reduced to 57.600 baud since Windows can loose data at a higher baud rate.

The latest Tech2Win version also supports a fast download when TIS2Web and Tech2Win are running on the same PC. A minimal communication between TIS2Web and Tech2Win over the COM port is still performed, but the time consuming transfer of data to Tech2Win has been replaced by an internal file transfer. In such a case the download time is drastically reduced to far less than a minute.

  • Advanced Topics: Configuration File
  • First Steps: Vehicle Communication Interface
  • FAQ: How can I determine which com port I should use for Tech2Win?
  • FAQ: Communication between Tech2Win and TIS2Web


Security

The security mechanisms used by Tech2Win rely on a correct PC clock value. Please ensure that your PC clock value is always set. Minor clock changes as they might occur during daylight savings day will be tolerated by Tech2Win.

Tech2Win will not perform any vehicle communications without a valid and active license. The following indicator in the status bar shows the status of the license:

  • green smiley The license is valid.
  • No indicator: The license has not yet been checked.
  • red smiley The license has expired.

To obtain a license please perform a 'Security Access (Security)' update using the TIS2Web application. In most cases, a 'Software Download (SWDL)' via TIS2Web will also be sufficient to obtain a new license. Since the license will become invalid after a certain period of time (in some regions: four weeks), you must perform such an update at regular intervals.

Licenses are region/software specific. You might have licenses on your computer if you are using Tech2Win with different Tech2 software versions.

The number of days remaining before the license expires is shown in the status bar.

  • ( 0) shows that the license has expired or does not exist.
  • (<1) The license will expire within the next 24 hours.
  • (20) The license will expire in 20 days.

Please do not tamper with the license file. Fraudulent modifications of this file are detected using internal security measures and will lead to a loss of all licenses on the computer. Additionally, Tech2Win will behave unexpected. This can only be overcome by performing a new installation.

  • Advanced Topics: Error Messages and Exit Codes
  • Advanced Topics: Log File
  • Working with Tech2Win: Status Window
  • FAQ: Valid license
  • FAQ: What is the difference between a Tech2Win license and Security Access?
  • FAQ: Sudden Stop


Viewing Reports

View Report This button can be used to see the contents of any PRT-files present on the PCMCIA card. A dialog box will open to show a list of PRT-files. If a program has been associated with the PRT-extension, this associated program will be executed. Elsewise the notepad editor will be opened to show the selected file.

In most cases the PRT file is an ASCII file using the language respective code pages. For Chinese, Japanese, Korean and Thai the file is in unicode with a leading Byte-Order-Mark (BOM).

When viewing reports, Tech2Win operates with a subdirectory C:\Users\Public\General Motors\Tech2Win\reports. This subdirectory will only exist if you have viewed reports at least once. The directory is automatically erased and functions as a temporary working directory for the PRT-files on the active PCMCIA card. It will continue to contain these files even if Tech2Win stops executing. If you want to save such a file you will need to copy it to a different directory as it might be overwritten as soon as another user chooses to view reports.


PCMCIA Images

PCMCIA images normally reside in the subdirectory C:\Users\Public\General Motors\Tech2Win\pcmcia. The file must have a size of exactly 32Mbyte (33,554,432 bytes) or 10Mbyte (10,485,760 bytes) and a file extension *.bin. The images are modified (as every normal PCMCIA card would be), if a download takes place or if the Tech2Win stores something on the flash card. A modification can be disabled using the write protect switch (command -W0 or -W1) or by omitting the 'p'-value in the '-W'-option(Configuration File). The write protect siwtch cannot be accessed thru the configurator. You will have to manually modify the configuration file if you want to use the options '-W0', '-W1' or '-W'.


Status Bar

The status bar is displayed beneath the Tech2 screen. The following items are shown in status bar:

  1. A speed indicator
  2. Vehicle Communication Status
  3. Serial Port Status
  4. SHIFT key
  5. Automatic Screenshots
  6. Log-Warning
  7. License

Status Bar

Speed Indicator

The speed indicator shows how much CPU time is spent emulating the Tech2 software. A low number (indicator to the left) is better than a high number (indicator to the right). Any green indicator is acceptable. The indicator can become yellow for a short period of time, if different Windows task suddenly become active. Such activity is to be avoided.

Vehicle Communication Status

The vehicle communication status indicates whether the Vehicle Communication Interface (MDI) is present as well as the communication between vehicle and Tech2Win.

Serial Port Status

When communicating with the Tech2Win over a COM-port, this indicator shows whether communication on the COM port is active or not.

SHIFT key

This indicator shows if the SHIFT key is active. You may toogle it using the 'S' key of the keyboard or the SHIFT key on the keypad.

Automatic Screenshots

'Automatic Screenshots' can be activated in the 'Options' menu. Every time the screen changes, a new screenshot file is stored in the log directory. This is indicated by a turn of the crank handle on the red camera in the status bar. As soon as the 'Automatic Screenshots' are deactivated the camera disappears.

Log-Warning

The Log status indicator can have three different states.

  • gray log status indicator The log file contains no warnings or errors.
  • yellow log status indicator The log file contains a warning message.
  • red log status indicator The log file contains an error message.

License

The license indicator can have three states:

  • green smiley The license is active and valid.
  • No indicator: The license has not yet been checked.
  • red smiley The license has expired or does not exist.
Please see the link Security for more details.

Tooltips on Status Bar

For some icons, tooltips are shown to provide some additional information:

Tooltip for VCI serial number:
Tooltip VCI

Tooltip for TECH2 Software Version
Tooltip TECH2

Tooltip for Comport
Tooltip Comport

Tooltip for number of the next screenshot (if "Automatic Screenshots" are active)
Tooltip Camera

Tooltip which shows the last logfile entry having level "warning" or higher
Tooltip Logfile

Tooltip for the exact license duration
Tooltip License

The tooltips are displayed if the cursor is more than 0.5 seconds over an icon without beeing moved. The tooltips disappear after 5 seconds or when the cursor gets moved.

  • Advanced Topics: Error Messages and Error Codes
  • Advanced Topics: Log File


Advanced Topics

The topics discussed here are of less importance to the standard user of Tech2Win. Anybody involved in the setup, management, and configuration of Tech2Win might find the following information useful.

  • Reinstallation
  • Deinstallation
  • Direct modification of the configuration files
  • Log File
  • Error Messages and Exit Codes
  • ATA Card
  • Registry Entries
  • File description
  • Examples of Configuration management


Deinstallation

The complete installation directory, the directory containing user data (C:\Users\Public\General Motors\Tech2Win) and the directory containing application data (C:\ProgramData\General Motors\Tech2Win) are erased.

  • Advanced Topics: Reinstallation
  • Installation


Configuration File

The configuration files always reside in the subdirectory C:\Users\Public\General Motors\Tech2Win\config and have the file extension *.conf. You might decide to manually modify the configuration file as not all options of the file are accessible through Tech2Win. The configuration file is a Unicode file with a leading Byte-Order_Mark (BOM). We strongly suggest you use a Unicode capable editor such as Notepad when performing any manual changes.

The configuration file is line oriented. Empty lines are ignored. A line always starts with an option and is mostly followed by a value. As an example take a look at the default.conf file. Please refer to the following table which discusses all available options.

If you want to launch a certain configuration directly from the desktop, make a shortcut that executes "C:\Program Files\General Motors\Tech2Win\bin\emulator.exe" -OF ..\config\your_configuration_file.conf. The program should be launched from the following working directory: "C:\Program Files\General Motors\Tech2Win\bin"

option | Value / Meaning
; A comment
@ A decimal version number in the format major.minor.
Configuration files with a different major number than Tech2Win will not be accepted. Configuration files with a lower minor number than Tech2Win will be accepted.
-W0
-W1 		The PCMCIA card in slot 0/1 has a write protection switch activated.
-B0
-B1 		The blocksize in Kbytes of the PCMCIA card in slot 0/1. Acceptable values are 128 (default) or 256.
-P0
-P1 		The file containing the binary image of a PCMCIA card for slot 0/1. The size of the file must be exactly 10MB or 32MB. Environment Variables such as %ProgramData% are expanded.
If this option is not present the slot is assumed to be empty.
-A0
-A1 		The file containing the attribute values of the PCMCIA card in slot 0/1. If not present, default attributes will be used based on card and block size.
-W | Upon the exit from Tech2Win, all persistent data is written to their respective files. The values p/f/r/c can be combined to denote PCMCIA/Flash-ROM/RTC/CANDI-App respectively.
-H | Heap Management Functionality The values 0/r/w/t can be combined to active Zeroing, Read Checks, Write Checks and Task Checks respectively. The value l is used to always enforce an allocation of heap memory at lower addresses as an alternate allocation scheme is implemented. Normally, this option is only used in a development environment.
-PC | Formerly the path for copy of PCMCIA card. This option is currently ignored.
-MS | Identification of the Vehicle Communication Interface (MDI) with Serial Number. If not set, a list of available MDIs will be shown to you.
-CT | The color of the text (foreground) in 3 hexadecimal byte values. The default value is 000000 (white).
-CB | The color of the background in 3 hexadecimal byte values. The default value is FFFFFF (black).
-ATA | Use this option to enable a ATA capture card. Remove it to disable ATA capture card.
-C | The number of the COM-port (1..9) to be used as the Tech2's RS232C communication port. Often COM9 is used for the virtual COM port which is installed by Tech2Win. If this option is not present a search for a free COM port is done downwards from COM9. Use the tooltip on the status bar between the Tech2 icon and TIS2Web icon to see which COM port is being used.
-WR | A PCaddress (normally 253558) which is allowed to write to the PCMCIA and FLASH ROM Area. This functionality must additionally be activated over the menu (or by using option -WA). It is needed to debug code in non-modifiable memory by the SingleStep Debugger.
-WA | Allow the SingleStep Debugger to write to non-modifiable memory.
-OF | Option file containing option / value pairs.
-TP | Timing adjustment (Proportional Value). Defaults to 5000. Decrease this value to have the number executed cycles adapt faster to real time.
-TD | Timing adjustment (Differential value). Defaults to 100. Decrease this value to react faster to changes of the instantaneous timing. WARNING: tampering with the TP and TD values may lead to speed problems.
-PJ
-PP 		Specify the protocol that should be used:
PJ for J2534 communication.
PP for ISO22900-2 / PDU-API (default)
-S | The presence of this option enables sound output on the beeper of the PC.
-L | The language of the Tech2Win application. The active Windows language is used as the default if this entry is missing. See the following link for a list of languages that can be specified: Languages. The Tech2 emulation window itself will display whatever language is on the PCMCIA card (i.e. was downloaded to the PCMCIA card).
-UD | Override of the user data directory. Under Win7, it normally is at C:\Users\Public\General Motors\Tech2Win
-AD | Override of the application data directory. Under Win7, it normally is at C:\ProgramData\General Motors\Tech2Win
-US | Use a user specific semaphore for detection of more than one instance of Tech2Win. This option will allow each user to run Tech2Win in parallel on the same machine, presumably a server. When using this option, you should also specify options -UD and -AD as well.
-SS | Option to specify the overall size of the Tech2Win window including the keypad (if present). The first parameter must be a string surrounded by double quotes (") and will be used as the name of the size in the Options / Resolution menu. The second parameter is the total number of horizontal pixels of the Tech2Win screen including the keypad. The third parameter is the total number of vertical pixels of the Tech2Win screen. The fourth optional parameter is the width of the keypad in pixels.
-SH Option to control the screen handling. The following decimal number is used to specify which screen handling possibilities are to be disabled.
  • Bit 0: No min/max possible.
  • Bit 1: No repositioning on the screen.
  • Bit 2: No resizing. In this case the Options / Resolution menu is greyed out.
  • Bit 3: Data Display and DTC windows to be exactly the same size as the Tech2Win (without keypad)


Logging

Every start of a Tech2Win configuration creates a new log file in HTML format in the C:\Users\Public\General Motors\Tech2Win\Logs subdirectory. To avoid hard disk congestion log files older than one week are removed.

The log files are automatically named according to the date (year, month, day) and time (hour, minute, second) of their creation:
yyyy-mm-dd_hhmmss.html

The log file entries are always in English, but in Unicode format with a leading Byte-Order-Mark (BOM). Each line in the log file is of one of the following log levels:

Log Level | Meaning
Info | Information only. No effect on the execution of the program.
Warning | An uncommon situation has occurred. The user might not see any adverse effects.
ERROR | An error occurred which will be noticeable to the user.
CRITICAL | A critical error occurred that will cause the program to behave abnormally.
FATAL | A fatal error will cause Tech2Win to immediately stop operating.

All levels above 'Warning' are coloured so that they can easily be found.

Additionally, Print and Video files will be present in the Logs subdirectory as well if the Print Screen or the Automatic Screenshots menu option was used.
yyyy-mm-dd_hhmmss_print_nnnnn.bmp
yyyy-mm-dd_hhmmss_video_nnnnn.png
Automatic Screenshots pictures are linked by the HTML file - so use the HTML log to view the sequence of these pictures.

In the Status Bar the user is informed if a Warning entry ( yellow lightning bolt) or a more serious log entry ( red lightning bolt) exists.


Error Messages and Exit Codes

Error messages might appear in dialog boxes. These dialog boxes still allow the Tech2Win to perform the Tech2 program in parallel. Exit Codes are fatal errors that cause the Tech2Win to terminate abnormally. The exit codes can be used in batch files to detect why a program has terminated.

Error Messages

The following error messages might pop up. Here is a brief explanation of the situation and how the problem can be resolved.

Emulator too slow Emulator failed to start

Exit Codes

Exit Code | Value | Meaning
OPCODE_ERROR | -7 | An invalid command of the Tech2 microprocessor (68332) was detected. Perhaps the PCMCIA image has been corrupted somehow.
ATA_PROBLEM | -6 | A problem during the ATA emulation occurred. If you are seeing such a problem after been instructed to use the ATA card then please contact the help desk.
DEMO_TIME_IS_UP | -5 | Should not appear in the official version of Tech2Win.
DLL_NOT_LOADED | -3 | One of the necessary DLLs could not be loaded. It seems that you have an incomplete copy of Tech2Win. Please perform a new installation and/or choose a different language.
EXIT_INIT_FAILED | -2 | Initialization failed. Look into the log file to find out the exact cause. If a log file does not exist please check if you have correct read/write access to all directories.
normal | 0 | Tech2Win has terminated normally.


ATA Card

The ATA card in the Tech2 is generally only used for debugging purposes during the development of the software. All necessary ATA data is stored in the subdirectory C:\Users\Public\General Motors\Tech2Win\ataCapture. This directory is normally of no importance and can be safely erased unless specifically instructed otherwise.

Since the ataCapture directory is fixed, its contents will be the same for all configurations.


Files

The following files and directories are used by Tech2Win:

Directory | Location prior to Vista | Location for Vista and beyond
Installation | As defined during the installation
User Data | C:\Documents And Settings\All Users\Documents\General Motors\Tech2Win | C:\Users\Public\General Motors\Tech2Win
Application Data | C:\Documents And Settings\All Users\Application Data\General Motors\Tech2Win | C:\ProgramData\General Motors\Tech2Win

File | Use
[User Data]\atacapture | Contains files that are present on the ATA card. Unless instructed elsewise these files are not necessary.
[Installation]\bin | Contains the actual executable and necessary DLLs and images necessary for the execution.
[Installation]\bin\emulator.exe | The main executable performing the Tech2 code.
[Installation]\bin\emulator_xx_XX.dll | Language specific resource DLL.
[Installation]\bin\T2Configurator.exe | The configuration part of Tech2Win.
[Installation]\bin\Pictures | Contains the icons needed by Tech2Win.
[User Data]\config | Contains all configuration files.
[User Data]\data | Contains files that are modified during the execution of Tech2Win. These files are necessary for the correct execution of Tech2Win. Normally, you should not touch these files unless explicitly instructed to do so.
[Application Data]\data | Contains files that are modified during the execution of Tech2Win. These files are necessary for the correct execution of Tech2Win. Normally, you should not touch these files unless explicitly instructed to do so.
[Application Data]\data\emulator.sec | Security file . Do not modify this file.
[Application Data]\data\emulator.card | Card File. Contains all PCMCIA cards known to the Tech2Win program. Do not modify this file.
[User Data]\data\emulator.disp | This file holds the location and size of Tech2Win screen. If you delete this file it will be recreated and the Tech2Win screen will start at the top left corner with a size of 640x480.
[Application Data]\data\emulator.lic | License File. Contains information about the validity durations of your licenses. Do not modify this file.
[Application Data]\data\emulator.rtc | Real Time Clock file. This file is used as a storage for data that is found in the RTC of the Tech2.
[Application Data]\data\emulator.dta | A "Don't tell me again" info file.. This file stores PCMCIA software versions that should not (anymore) show the warning about the inability to perform selftest which require a loopback adapter.
[Application Data]\data\candi.bin | CANdi application file. Holds the application of the CANdi which is attached to the Tech2.
[Application Data]\data\eprom.bin | Tech2 internal EPROM file. Contains the contents of the internal Tech2 flash memory.
[Installation]\driver | Installation files for the virtual COM Port driver.
[Installation]\help\emulator_xx_XX.chm | Language specific help files.
[User Data]\Logs | Contains log files. Files older than a week will automatically be erased.
[User Data]\pcmcia | Contains PCMCIA images files. Figuratively speaking, each file corresponds to a Tech2 PCMCIA card. These files can be saved to different locations at will.


Configuration Management

The configuration files always reside in the subdirectory C:\Users\Public\General Motors\Tech2Win\config and have the file extension of *.conf. Tech2Win can only be used to generate new configuration files or to modify existing configuration files that are not readonly. For all other management of the configuration files, please use the Windows Explorer or a similar file handling program. This will be necessary for the following activities:

  • deletion of configuration files
  • renaming of configuration files
  • changing the readonly attribute of a configuration file

We strongly suggest, that you always have a configuration file default.conf. This file should normally have the read-only attribute set to avoid erroneous overwriting. However, if you are changing this file to meet your specific needs, you will need to shortly remove the read-only attribute.

The PCMCIA images are in the subdirectory C:\Users\Public\General Motors\Tech2Win\pcmcia. Each of these files corresponds to a PCMCIA card which you are already familiar with when working with the Tech2. With Tech2Win you may have as many images as you want. Simply copy an existing image to a new filename.

If you want to launch a certain configuration directly from the desktop, make a shortcut that executes "C:\Program Files\General Motors\Tech2Win\bin\emulator.exe" -OF "C:\Users\Public\General Motors\Tech2Win\config\your_configuration_file.conf". The program should be launched from the following working directory: 'C:\Program Files\General Motors\Tech2Win\bin'

The number of configuration files is not dependent on the number of pcmcia images that you are using. You can have several configuration files using the same PCMCIA image. This closely simulates a situation in a repair shop where several mechanics share the same Tech2 (and the same PCMCIA card).

You may also choose to have every configuration using its own dedicated PCMCIA image. This would make individual configurations more independent from each other. However, the effort of updating each PCMCIA image might be not acceptable.

When you make a new configuration by copying an existing one, the configurator will display a warning, if the PCMCIA image has not been changed. In such a case you would have two configurations using the same PCMCIA image. If that is what you want, simply press OK. If you want the new configuration to use a different or new PCMCIA image then hit Cancel. You may then choose to make a new image by using Copy memory card ...

Here are two example methods how you can manage your configurations and PCMCIA images.

One configuration per user

You have the chance to save a configuration per user. The name of the configuration would be the users name for instance. Advantages of this concept are that user specific settings such as personal vehicle communication interfaces (MDIs), display and language settings are possible. The disadvantage is that you will need to copy PCMCIA files if several users should be using the same software. Of course the user specific configurations may use a central PCMCIA file.

One configuration per Tech2 software

You might choose to make a new configuration for every software that you download. Thus, even older software versions are immediately available, if needed. Often the software name and version number are chosen as the configuration name in such a case.

  • First Steps: Vehicle Communication Interface
  • First Steps: Path
  • Advanced Topics: Configuration File
  • Installation: Installation Steps


Frequently asked questions (FAQ)

  • How can I determine which com port I should use for Tech2Win?
  • Communication between Tech2Win and TIS2Web
  • Valid license
  • What does the license number indicate?
  • What is the difference between a Tech2Win license and Security Access?
  • TIS2Web shows an unspecific error when performing security access to the Initial Software
  • Tech2Win does not execute Tech2 software from another area
  • How can I use more than one MDI?
  • Log File contains the error "CPU32: Too many 0000/FFFF Commands encountered"
  • No Tech2 window visible
  • SPS doesn't work
  • Some Self Tests don't work
  • The speed indicator fluctuates
  • Sudden Stop
  • Swedish language is displayed for Software 15.001
  • Loss of communication with the MDI
  • Tech2Win did not find my MDI
  • I want to immediately start Tech2Win without bothering with the configurator
  • Where are the print functions?
  • An 'unused' PCMCIA folder is present on my computer
  • I am getting an 'illegal file path' message

How can I determine which com port I should use for Tech2Win?

You can use the "Device Manager" of Windows, look for "Ports (COM & LPT)". But some computers have internal modems or bluetooth devices installed that are not shown within this category.
Another way is to use a small command that is delivered together with the configurator. You can execute it through your start menu (Tech2Win folder) by clicking on "show com ports".
Both methods show the com ports that are installed on your computer and that you should NOT use.

Communication between Tech2Win and TIS2Web

It is important that Tech2Win is running before you start the communication with TIS2Web for 'Security Access (Security)' or 'Software Download (SWDL)'. TIS2Web can only recognize the virtual COM-port when Tech2Win is started.

Valid license

Normally a 'Software Download (SWDL)' from TIS2Web will already provide you with a valid license. If you still don't have a license, a 'Security Access (Security)' via TIS2Web (not TIS2000) must be done to get a valid license. Please do not perform any other TIS2Web communication with Tech2Win such as a 'Software Download (SWDL)' before getting a license via 'Security Access (Security)'.

What does the license number indicate?

The license number at the right of the status bar shows the number of complete license days. Directly after performing a download or 'Security Access (Security)' a number of 30 days is displayed. After a new start of Tech2Win, however, a 29 is displayed because the license duration is probably something like 29 days, 23 hours and 55 minutes. If the number of license days drops below 24 hours, a license duration of <1 is displayed. A 0 is displayed if the license has expired.

What is the difference between a Tech2Win license and Security Access?

The Tech2Win license allows you to use Tech2Win. To obtain such a license you either must perform a 'Software Download (SWDL)' or a 'Security Access (Security)' at regular intervals (most common: every 30 days). The ability to perform such a download via TIS2Web informs Tech2Win that a valid user is present. The Security Access, as known from Tech2, informs the Tech2Win that certain security related activities such as disabling of an Airbag are allowed. Both the Tech2Win license and Security Access can be performed thru the TIS2Web 'Security Access (Security)' application. Tech2Win displays the remaining license duration on the status bar at the right. Unfortunately, Tech2Win cannot display the duration of a Security Access as Tech2Win simply executes Tech2 software, but has no understanding of the Tech2 software itself.

TIS2Web shows an unspecific error when performing security access to the Initial Software

The behaviour is the same as on a Tech2. Because of its age the Initial Software is not capable of obtaining a license from TIS2Web. However, that is no real problem since that demonstration software does not communicate with a vehicle for which the license is necessary. And since licenses are TS2Web download specific, you would anyhow need to get a license for each individual download after downloading the Tech2 software. A "license" for Initial Software would not entitle you to perform vehicle communications with a North American Operations or Opel/Vauxhall software.

Tech2Win does not execute Tech2 software from another area

Your Tech2Win version is probably limited to one or several TIS2Web download (regions). Press Help / About to see which limitations apply to your version of Tech2Win. Early versions of Tech2Win only allowed Opel/Vauxhall software to be executed. Other GM regions are about to follow. In any case, Tech2Win is currently capable of executing Tech2 software from General Motors.

How can I use more than one MDI?

If you want to assign specific MDIs to specific users then we propose that you let every user have their own configuration. Obviously these configurations should be named according to their respecitive user. In each of the configurations you should enter the serial number of the user specific MDI in the tab 'Vehicle Communication Interface'. As soon as the user starts his configuration, Tech2Win will try to contact that specific MDI. Only if that MDI is not present, a selection box will be presented showing all MDIs that Tech2Win was able to find.

If you have several MDIs for general use we propose that you use configurations where the serial number of the Vehicle Communication Interface in the tab 'Vehicle Communication Interface' is left blank. Then the user will always see the selection box of available MDIs.

Log File contains the error "CPU32: Too many 0000/FFFF Commands encountered"

The file 'C:\ProgramData\General Motors\Tech2Win\data\eprom.bin' or the current pcmcia file are corrupt. Please perform a reinstallation of Tech2Win and download a new Tech2 software.

No Tech2 window visible

If no Tech2 window is visible it is probably in an area currently not on your display. You will encounter such effects when using more than one screen or after modifying the screen resolution. Press the Shift key on the keyboard during the start of your configuration. In that case the window resolution will be reset to 640x480 and the Tech2 window will be displayed at the top left corner of the screen. You may also delete the file C:\Users\Public\General Motors\Tech2Win\emulator.disp to achieve the same effect.

We have seen cases where the Tech2 window would simply not be redrawn on the screen after closing the windows of all other applications. In all cases we have seen so far, the use of the Alt-Tab key to switch between Windows applications was able to bring up the Tech2 screen. Pressing the Tech2Win button in the task bar at the lower bottom of your PC screen would sometimes not work. Currently we are still investigating this issue and hope to have a fix in a later version of Tech2Win.

SPS doesn't work

Yes, we know. We don't have any plans to change this. You should not use the Tech2Win as a Tech2 replacement to do SPS. Please use the MDI directly with SPS Programming through TIS.

Some Self Tests don't work

Tech2 Self tests are intended to test the individual parts of the Tech2 hardware. Some of these tests require the use of a loopback adapter. These tests will not work in Tech2Win because the loopback adapter functionality is not implemented (and there are no plans to do such). Please simply refrain from executing such meaningless tests in Tech2Win. If you execute them it might be that you get erroneous results or that Tech2Win hangs just as the Tech2 would without a loopback adapter. Use Ctrl-R to reset Tech2Win in such a case.

The speed indicator fluctuates

The speed indicator on the lower left of the status bar indicates how many 'Tech2 commands' can be executed before Tech2Win must 'sleep' again. This method is used to ensure that the time on the Tech2Win corresponds to real time: faster PCs sleep more than slower PCs. If the speed indicator fluctuates then some other application might be using computing power or the PC clock is varying. High fluctuation rates have a negative impact on vehicle communication and TIS2Web communication. Please ensure that no other applications are running.

Most laptops can automatically reduce the CPU clock to extend battery time. This, too, might be the cause of the speed fluctuation detected by Tech2Win. In such a case, please do not run your laptop from battery but use an external power supply. You might also try to change your power settings so that the operating system does not reduce the clock speed.

Sudden Stop

If you find no reason inside the log file why the program terminated then Tech2Win internal security mechanisms might have been activated. Please do not tamper with the following files: emulator.sec, emulator.lic, emulator.card. If Tech2Win identifies a security breach you very likely will have to perform a reinstallation.

Swedish language is displayed for Software 15.001

The initial software that comes with Tech2Win is a demonstration software which is present on every new PCMCIA card. TIS2Web indicates that this is in Swedish language because TIS2Web only displays the last language in the list of four languages supported by this demo software (English, French, German, Swedish). Use the Update Mode 'Custom' instead of 'Standard' to overwrite this demonstration software with the newest diagnostic software.

Loss of communication with the MDI

A loss of MDI communication can have several reasons.

  • Bad cable connection (both Ethernet and USB).
  • Flaky wireless connection.
  • PC goes into standby.

Tech2Win did not find my MDI

Please check the following points:

    1. Is the MDI active?
    2. Does the MDI Manager work?
    3. Is the MDI being used by another application such as SPS?
You can start the MDI Manager using its desktop icon or via "Start/All Programs/General Motors/GM MDI Software".: Please call the Helpdesk if point 2 does not work.

I want to immediately start Tech2Win without bothering with the configurator

Execute "C:\Program Files\General Motors\Tech2Win\bin\emulator.exe" -OF "C:\Users\Public\General Motors\Tech2Win\config\your_configuration_file.conf". Use the following working directory: "C:\Program Files\General Motors\Tech2Win\bin" You can still use the configurator to make any changes to the configuration.

Where are the print functions?

Tech2Win does not offer direct print functionality. Instead it creates temporary files and calls the programs associated with the file extensions. These programs can be used for print purposes, allowing you to adjust the appearance of your print out.

Print Report | Print Report

To print the current Tech2Win screen, use the menu item File / Print Screen or the button on the keypad containing showing a printer. If you need to print several Tech2Win screens, then the menu item Options / Automatic Screenshots may be used as it creates PNG files for every Tech2Win screen. These PNG files are embedded in the log file.

You may also print data display contents(activated using menu item Windows / Tech2Win Data Display). Use the Print/HTML Start button to start and then stop data acquisition. After stopping the acquisition the HTML-associated executable (normally Internet Explorer) is started which gives you plenty of functionality to print your data.

Data Display | Data Display

An 'unused' PCMCIA folder is present on my computer

Former versions of Tech2Win always had a duplicate storage of PCMCIA files in a separate directory. This directory often was C:\PCMCIA. Now this directory is not used anymore because the fast download from TIS2Web makes a second storage of such downloads unnecessary. You may safely erase this directory.

I am getting an 'illegal file path' message

The file name seems to contain illegal characters such as the percent sign (%). If you are seeing this problem directly after an installation it would be best to simply perform an uninstall and a new reinstallation. Most cases could be fixed using this method.

During normal installations, the environment variable 'Tech2WinUserData' is set to 'PUBLIC' (for Windows versions >= Vista) and to 'ALLUSERSPROFILE\Documents' (for Windows versions before Vista). In some rare cases the environment variable was not set during the installation process, but worked fine on the second try. You might also choose to set the environment variable manually. Ask your administrator for help if you do not know how to set an environment variable.


Registry Entries

The following registry entries are generated by the installer. Please do not modify these entries manually. Be aware of the standard Windows cautioning when dealing with registry entries.

registry key | name | type | meaning
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | CurrentVersion | REG_SZ | Internal version number
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | Language | REG_SZ | Installed language
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | PcmciaCopy | REG_SZ | Path of the PCMCIA copy directories
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | Root | REG_SZ | Installation path
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | UninstallOption | REG_DWORD | Uninstall Setting
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | VerConfig | REG_SZ | Version of the Config file
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | VerDriver | REG_DWORD | Version of the Virtual COM-Port Driver
HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Windows/; CurrentVersion/Uninstall/TECH2Win | DisplayName | REG_SZ | Software name inside the Add/Remove program list
HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Windows/; CurrentVersion/Uninstall/TECH2Win | UninstallString | REG_SZ | Path to the uninstall program


Reinstallation

The reinstallation will delete the complete installation directory of Tech2Win with the following exceptions.

  1. the config subdirectory containing the configurations is not erased.
  2. The pcmcia subdirectory which normally contains the PCMCIA images is not erased.
  3. The ATA subdirectory that might contain debug information is not erased.
Configuration files might become incompatible: there is no guarantee that configuration files of an old Tech2Win version are readable by a newer Tech2Win version. PCMCIA images by principle cannot become incompatible.

The secondary PCMCIA directory is not affected by the reinstallation.

Some environments might offer an automatic installation of a newer version of Tech2Win. Since the last installation information is stored in the registry, these settings will be presented as default during the reinstallation.

You can enforce a reinstallation of Tech2Win by using the script enable reinstallation. This script is installed together with Tech2Win. Basically, this script simply sets the value of the key CurrentVersion found in the registry at HKEY_LOCAL_MACHINE\SOFTWARE\GM\Tech2Win to value of "1.000".